﻿@model IEnumerable<footlucker.Models.Product>
@using Microsoft.AspNetCore.Http

<div class='page_title_container'>
    <h2 class='page_title'>מסך מוצרים</h2>
</div>

@{
    var isAdmin = Context.Session.GetString("isAdmin") == "true" ? true : false;
    if (isAdmin)
    {
        <div class='page_plus_button branches_index_plus_button'>
            <a class='page_plus_text' asp-action="Create">+</a>
        </div>
    }
}


<div class='page_content_container'>
    <form asp-action="Search" method="get">
        <div class="form-actions no-color">
            <div class='advanced_search_fields'>
                <div>@Html.DisplayNameFor(model => model.Price)</div>
                <input type="number" step="0.01" min="0" name="Price" class="form-control advanced_search_field" value=@ViewData["ProductsPriceQuery"] />
                <div class='advanced_search_field'>@Html.DisplayNameFor(model => model.Name)</div>
                <input type="text" name="Name" class="form-control advanced_search_field" value=@ViewData["ProductsNameQuery"] />
                <div class='advanced_search_field'>@Html.DisplayNameFor(model => model.Size)</div>
                <input type="number" step="0.01" min="0" name="Size" class="form-control advanced_search_field" value=@ViewData["ProductsSizeQuery"] />
            </div>
            <div class='advanced_search_submit'>
                <input placeholder="ערך חיפוש" type="submit" value="חפש" class="btn btn-default button" />
                <a asp-action="Index">בחזרה לרשימה מלאה</a>
            </div>
        </div>
    </form>
    <table class="table">
        <thead>
            <tr>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.Price)
                </th>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.Name)
                </th>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.Size)
                </th>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.Supplier.Name)
                </th>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.ProductType.Name)
                </th>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.PictureName)
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Size)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Supplier.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ProductType.Name)
                </td>
                <td>
                    <img style="height: 10vh;width: 6vw;"
                         src=@System.String.Format("/images/products/{0}",item.PictureName) />
                </td>
                <td>
                    @{
                        if (Context.Session.GetString("isLogin") == "true")
                        {
                            <a class="btn btn-default button" style="width:5vw" asp-action="PurchaseProduct" asp-route-id="@item.Id">רכוש</a>
                        }
                    }
                </td>
                <td >
                    @{
                        if (isAdmin)
                        {
                            <div>
                                <a asp-action="Edit" asp-route-id="@item.Id">ערוך</a> |
                                <a asp-action="Delete" asp-route-id="@item.Id">מחק</a>
                            </div>
                        }
                    }
                </td>
            </tr>
            }
        </tbody>
    </table>
</div>


